:host {
  display: block;
  width: 100%;
}

[type="submit"] {
  position: absolute;
  z-index: 1002; // always on top of the ng-select component.
  top: 50%;
  right: 0;
  margin-top: 0;
  transform: translate(0, -50%);
  width: 40px;
  height: 40px;
  border: none;
  border-radius: 50%;
  user-select: none;
  -webkit-tap-highlight-color: transparent;
  background: transparent;
  display: flex;
  justify-content: center;
  align-items: center;
}

.search-form-content {
  position: relative;
  width: 100%;
}

.search-form-wrapper {
  display: flex;
  width: 100%;
  position: relative;
}

.sortable-trigger {
  margin-left: var(--spacing);
  border: none;
  background: white;
  border-radius: 8px;
  width: 40px;
  padding: 0;
  user-select: none;
  -webkit-tap-highlight-color: transparent;
}

.sortable-select {
  position: absolute;
  bottom: 0;
  right: 0;
  width: 200px;
  transform: translateY(50%);
  z-index: -1;
  opacity: 0;
  transition: all 220ms linear;

  &:focus-within {
    z-index: 1;
    opacity: 1;
    transform: translateY(105%);
  }
}
